/* Ten przykład wymaga dodania odwołania do Moq, a ponieważ nie mam odpowiedniej licencji
 * nie jestem w stanie udostępniać tej biblioteki w przykładach dołączonych do tej książki.
 * Bibliotekę tę można pobrać ze strony http://code.google.com/p/moq/ lub przy użyciu
 * narzędzia NuGet Package Manager w Visual Studio.
 *

using Microsoft.VisualStudio.TestTools.UnitTesting;
using Moq;

public class TestBase<TSubject, TFake>
    where TSubject : new()
    where TFake : class
{
    public TSubject Subject { get; private set; }
    public Mock<TFake> Fake { get; private set; }

    [TestInitialize]
    public void Initialize()
    {
        Subject = new TSubject();
        Fake = new Mock<TFake>();
    }
}
*/